\section{Appendix}
\begin{frame}{List of sources}
	\begin{itemize}
		\item https://www.rfc-editor.org
		\item https://xmpp.org
		\item https://gajim.org
		\item http://www.openadr.org/
		\item http://blog.iec61850.com/2015/06/xmpp-iec-61850-8-2-defines-additional.html
		\item https://jabber.rwth-aachen.de/
		\item https://docs.djangoproject.com/en/1.10/
		\item http://docs.ansible.com/ansible/
		\item https://git.rwth-aachen.de/philipp.huebner/bachelor-thesis
	\end{itemize}
\end{frame}

\begin{frame}[plain]{XMPP logo}
	\centering
	\includegraphics[height=\textheight]{logos/xmpp_logo}
\end{frame}

\begin{frame}{XMPP usage today}
       \begin{columns}[c]
               \begin{column}{.45\textwidth}
                       \centering
                       ISO/IEC/IEEE 21451-1-4\\
                       {\tiny Standard for a Smart Transducer Interface for Sensors, Actuators, and Devices
                       -- eXtensible Messaging and Presence Protocol (XMPP) for Networked Device Communication}\\
               \end{column}
               \begin{column}{.50\textwidth}
                       \centering
                       \includegraphics[width=\textwidth]{pictures/IEEE_XMPP.png}
               \end{column}
       \end{columns}
\end{frame}

\begin{frame}{XMPP in ISO/IEC/IEEE WD 21451-1-4}
	\centering
	\includegraphics[width=0.8\textwidth]{pictures/IEEE_XMPP}
\end{frame}

\begin{frame}{XMPP in OpenADR 2.0}
	\centering
	\includegraphics[height=0.8\textheight]{../drawings/openadr}
\end{frame}

\begin{frame}{XMPP in Archipel}
	\centering
	\includegraphics[height=0.7\textheight]{../screenshots/archipel}
\end{frame}

\begin{frame}{XMPP in IEC 61850-8-2}
	\centering
	\includegraphics[height=\textheight]{../drawings/iec61850}
\end{frame}

\begin{frame}{XMPP in military instant messaging}
	\centering
	\includegraphics[height=0.8\textheight]{../drawings/military-xmpp}
\end{frame}

\begin{frame}{Gajim}
	\begin{columns}[c]
		\begin{column}{.30\textwidth}
			\raggedleft
			\includegraphics[height=0.9\textheight]{../screenshots/gajim_roster}
		\end{column}
		\begin{column}{.70\textwidth}
			\includegraphics[height=0.6\textheight]{../screenshots/gajim_muc}
		\end{column}
	\end{columns}
\end{frame}

\begin{frame}{Gajim}
	\centering
	\includegraphics[height=0.9\textheight]{../screenshots/gajim_disco}
\end{frame}

\begin{frame}{Conversations}
	\begin{columns}[c]
		\begin{column}{.50\textwidth}
			\centering
			\includegraphics[height=0.9\textheight]{../screenshots/conversations_roster}
		\end{column}
		\begin{column}{.50\textwidth}
			\centering
			\includegraphics[height=0.9\textheight]{../screenshots/conversations_muc}
		\end{column}
	\end{columns}
\end{frame}

\begin{frame}{Psi+}
	\centering
	\includegraphics[height=0.9\textheight]{../screenshots/psi_disco}
\end{frame}

\begin{frame}{XMPP network structure}
	\centering
	\includegraphics[height=0.8\textheight]{../drawings/federated-network}
\end{frame}

\begin{frame}{Django-based homepage setup}
	\centering
	\includegraphics[height=0.9\textheight]{../drawings/system}
\end{frame}

\begin{frame}{Django user views}
	\centering
	\includegraphics[height=0.8\textheight]{../screenshots/groups_overview}
\end{frame}

\begin{frame}{Django user views}
	\centering
	\includegraphics[height=0.8\textheight]{../screenshots/groups_memberships}
\end{frame}

\begin{frame}{Django user views}
	\centering
	\includegraphics[height=\textheight]{../screenshots/groups_edit}
\end{frame}

\begin{frame}{Django admin views}
	\centering
	\includegraphics[height=0.8\textheight]{../screenshots/groups_admin_list}
\end{frame}

\begin{frame}{Django admin views}
	\centering
	\includegraphics[height=0.8\textheight]{../screenshots/groups_admin_change}
\end{frame}

\begin{frame}{Compliance test results}
\begin{table}[htbp]
 \resizebox{1.2\textheight}{!}{%
 \centering
 \begin{tabular}{lcccc}
  \toprule
  \addlinespace XMPP Server                             & & Openfire 3.9.1      & & ejabberd 16.09      \\
  \addlinespace Date of test                            & & October 1st 2016    & & April 1st 2017      \\
  \midrule
  \addlinespace XEP-0045: Multi-User Chat               & & \passed             & & \passed             \\
  \addlinespace XEP-0065: SOCKS5 Bytestreams (Proxy)    & & \passed             & & \passed             \\
  \addlinespace XEP-0115: Entity Capabilities           & & \failed             & & \passed             \\
  \addlinespace XEP-0163: Personal Eventing Protocol    & & \passed             & & \passed             \\
  \addlinespace XEP-0191: Blocking Command              & & \failed             & & \passed             \\
  \addlinespace XEP-0198: Stream Management             & & \failed             & & \passed             \\
  \addlinespace XEP-0237: Roster Versioning             & & \failed             & & \passed             \\
  \addlinespace XEP-0280: Message Carbons               & & \failed             & & \passed             \\
  \addlinespace XEP-0313: Message Archive Management    & & \failed             & & \passed             \\
  \addlinespace XEP-0352: Client State Indication       & & \failed             & & \passed             \\
  \addlinespace XEP-0357: Push Notifications            & & \failed             & & \passed             \\
  \addlinespace XEP-0363: HTTP File Upload              & & \failed             & & \passed             \\
  \addlinespace XEP-0368: SRV records for XMPP over TLS & & \failed             & & \passed             \\
  \addlinespace
  \bottomrule
 \end{tabular}}
\end{table}
\end{frame}

\begin{frame}{IM Observatory results}
	\centering
	\includegraphics[width=0.6\textwidth]{../screenshots/xmppnet_old}
\end{frame}

\begin{frame}{IM Observatory results}
	\centering
	\includegraphics[width=0.7\textwidth]{../screenshots/xmppnet_intermediate}
\end{frame}

\begin{frame}{IM Observatory results}
	\centering
	\includegraphics[width=0.7\textwidth]{../screenshots/xmppnet_new}
\end{frame}

\begin{frame}{Graphs from Munin}
	\centering
	\includegraphics[width=0.9\textwidth]{../screenshots/stats_active_users}
\end{frame}

\begin{frame}{Graphs from Munin}
	\centering
	\includegraphics[width=0.9\textwidth]{../screenshots/stats_connections}
\end{frame}

\begin{frame}{Graphs from Munin}
	\centering
	\includegraphics[width=0.9\textwidth]{../screenshots/stats_connection_types}
\end{frame}

\begin{frame}{Graphs from Munin}
	\centering
	\includegraphics[width=0.9\textwidth]{../screenshots/stats_cpu}
\end{frame}

\begin{frame}{Old homepage}
	\centering
	\includegraphics[height=\textheight]{../screenshots/hp_old}
\end{frame}

\begin{frame}{New homepage}
	\centering
	\includegraphics[height=\textheight]{../screenshots/hp_new}
\end{frame}

\begin{frame}{Ansible}
\centering
\begin{table}
\ttfamily
\resizebox{0.73\textheight}{!}{%
\begin{tabular}{l}
\ldots\\
\ldots\\
TASK [Install munin] ***********************************************************\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=[u'munin', u'munin-node', u'munin-\\
\color{Green}plugins-c', u'munin-plugins-core'])\\
\\
TASK [Copy munin config] *******************************************************\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de]\\
\\
TASK [Copy munin-node config] **************************************************\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de]\\
\\
TASK [Copy some custom munin plugins from https://github.com/fsinf/munin] ******\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=df)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=df\_abs)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=ejabberd)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=ejabberd\_active\_users\_7)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=ejabberd\_active\_users\_30)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=ejabberd\_c2s\_types)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=ejabberd\_registered)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=ejabberd\_uptime)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=muc\_count)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=rocheck)\\
\\
TASK [Disable some plugins that are not needed or not working] *****************\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=/etc/munin/plugins/nfs4\_client)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=/etc/munin/plugins/nfsd4)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=/etc/munin/plugins/nfs\_client)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=/etc/munin/plugins/nfsd)\\
\\
TASK [Disable munin's default apache config] ***********************************\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de]\\
\\
TASK [Make sure services are running] ******************************************\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=apache2)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=celery)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=cron)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=ejabberd)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=munin-node)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=mysql)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=postfix)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=redis-server)\\
\color{Green}ok: [jabber-dev.itc.rwth-aachen.de] => (item=uwsgi)\\
\\
PLAY RECAP *********************************************************************\\
\color{Green}jabber-dev.itc.rwth-aachen.de : ok=94   changed=0    unreachable=0    failed=0\\
\end{tabular}}
\end{table}
\end{frame}

\begin{frame}{XMPP Transports}
	\centering
	\includegraphics[width=\textwidth]{../drawings/transports}
\end{frame}

\end{document}
